
// $Id: CvsCommand.cpp,v 1.19 2014/02/18 15:15:56 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CvsCommand.h"

//___________________________________________________________________
unsigned int& CvsCommand::_idCounter( void )
{
  static unsigned int counter(0);
  return counter;
}

//___________________________________________________________________
CvsCommand::NameMap& CvsCommand::_names( void )
{
  static NameMap singleton;
  return singleton;
}

//___________________________________________________________________
void CvsCommand::initializeNames( void )
{
  Debug::Throw( "CvsCommand::initializeNames.\n" );
  _names()[Log] = QObject::tr( "cvs log" );
  _names()[Status] = QObject::tr( "cvs status" );
  _names()[FakeUpdate] = QObject::tr( "cvs -n update" );
  _names()[Checkout] = QObject::tr( "cvs checkout" );
  _names()[Update] = QObject::tr( "cvs update" );
  _names()[Add] = QObject::tr( "cvs add" );
  _names()[Remove] = QObject::tr( "cvs remove" );
  _names()[Commit] = QObject::tr( "cvs commit" );
  _names()[CheckoutRevision] = QObject::tr( "cvs checkout" );
  return;
}

//___________________________________________________________________
QString CvsCommand::name( const Type& type )
{
  Debug::Throw( "CvsCommand::name.\n" );
  NameMap::const_iterator iter( _names().find( type ) );
  return iter != _names().end() ? iter.value():"";
}
