#ifndef FileInfoModel_h
#define FileInfoModel_h

// $Id: FileInfoModel.h,v 1.22 2013/04/29 18:27:10 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseFileInfoModel.h"
#include "Counter.h"
#include "FileInfo.h"

class FileIconProvider;

//! Job model. Stores job information for display in lists
class FileInfoModel : public BaseFileInfoModel<FileInfo>, public Counter
{

    public:

    //! constructor
    FileInfoModel(QObject* = 0);

    //! destructor
    virtual ~FileInfoModel()
    {}

    //! set icon provider
    void setIconProvider( FileIconProvider* value )
    { iconProvider_ = value; }

    // flags
    virtual Qt::ItemFlags flags( const QModelIndex& ) const;

    //! mime data
    virtual QMimeData* mimeData( const QModelIndexList& ) const;

    protected:

    //! icon matching given model index
    virtual QIcon _icon( const QModelIndex& ) const;

    private:

    //! icon provider
    FileIconProvider* iconProvider_;

};

#endif
